cURL
pcall POST "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry"const res = await call("POST", "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry");
const { data } = await res.json();res = call("POST", "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"delivery_id": "dlv_7a1b3c5d7e9f0123456789abcdef0123",
"event_id": "evt_9c2e4a6b8d0f1234567890abcdef1234",
"endpoint_id": "we_3f9a1c7e5b2d4086a1b3c5d7e9f01234",
"status": "pending",
"attempts": 0,
"next_attempt_at": "2026-10-05T12:45:00.000Z",
"last_status_code": 200,
"last_error": null,
"last_latency_ms": 142,
"last_attempt_at": "2026-10-05T12:41:12.000Z",
"delivered_at": null,
"delivered_via": null,
"created_at": "2026-10-05T12:41:11.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Webhooks
Retry a delivery
For a dead one after you fixed your endpoint. Its attempts count from zero again.
Scope: webhooks:manage · Idempotency-Key: optional
POST
/
webhooks
/
deliveries
/
{delivery_id}
/
retry
cURL
pcall POST "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry"const res = await call("POST", "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry");
const { data } = await res.json();res = call("POST", "/api/v1/partner/webhooks/deliveries/dlv_7a1b3c5d7e9f0123456789abcdef0123/retry")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/webhooks/deliveries/{delivery_id}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"delivery_id": "dlv_7a1b3c5d7e9f0123456789abcdef0123",
"event_id": "evt_9c2e4a6b8d0f1234567890abcdef1234",
"endpoint_id": "we_3f9a1c7e5b2d4086a1b3c5d7e9f01234",
"status": "pending",
"attempts": 0,
"next_attempt_at": "2026-10-05T12:45:00.000Z",
"last_status_code": 200,
"last_error": null,
"last_latency_ms": 142,
"last_attempt_at": "2026-10-05T12:41:12.000Z",
"delivered_at": null,
"delivered_via": null,
"created_at": "2026-10-05T12:41:11.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Headers
Optional. A retry with the same key returns the first answer (kept 24 h). Leave empty in Try it: a new one is made for every call.
Maximum string length:
255Path Parameters
Pattern:
^dlv_[a-f0-9]{32}$
